#!/usr/bin/env bash
#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ -z "$1" ]; then
	echo "Need environment to execute script, exiting..."
	exit 1
fi

if [[ ! "$1" =~ ^(localdev|dev08|dev01|test03)$ ]]; then
    echo "$1 is not a valid environment, exiting..."
    exit 1
fi

ENVIRONMENT=$1
echo "Creating R&D Role Manager: " ${ENVIRONMENT}

# Create Python Virtual Env and install required packages
virtualenv -p python3 venv3

if [ -d "venv3" ]; then
    . venv3/bin/activate
    echo "Installing pip requirements..."
    pip install -r requirements.txt
else
    exit 1
fi

python create_r_and_d_role_manager.py -e ${ENVIRONMENT}