## Secops Grant Export 

This job is meant to act as a backup when the Access Service Scheduled cron job is not functioning properly. 

This is not a replacement for the job and should only be executed as needed if the cron job is broken. 

### How to run
This script excepts three ENV vars
* `HUB_NAME`
    * Example `export HUB_NAME=hub-prod-us`
* `CBC_ENVS`
    * Example 
      ``` 
      export CBC_ENVS= [{
      "env": "eap01",
      "host": "defense-eap01.conferdeploy.net",
      "gateway_url": "https://defense-eap01.conferdeploy.net"
      }, {
      "env": "prod01",
      "host": "dashboard.confer.net",
      "gateway_url": "https://https://dashboard.confer.net"
      }, {
      "env": "prod02",
      "host": "defense.conferdeploy.net",
      "gateway_url": "https://defense.conferdeploy.net"
      }, {
      "env": "prod05",
      "host": "defense-prod05.conferdeploy.net",
      "gateway_url": "https://defense-prod05.conferdeploy.net"
      }]
      ```
  * `CBC_AUTH_TOKENS`
    * Example `export CBC_AUTH_TOKENS=eap01:secret/id@prod01:secret/id@prod02:secret/id@prod05:secret/id`

With those ENV vars in place, you then must have a place to run the script. This can be the jumphost or an EC2 instance
with access to the DynamoDb tables

Finally, run `python secops_export.py` and this will generate the appropriate CSV file.